
Infrastructure - Task #2017

Story # 2016 (Closed): create production Certificate Authority

create secure root cert/key and signing cert/key for DataONE

2011-11-10 22:35 - Matthew Jones

Status: Closed Start date: 2011-11-10

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: Support Operations Estimated time: 0.00 hour

Target version: Sprint-2012.13-Block.2.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

We need a new certificate for root that is known secure.  This root key should be offline and airgapped, and very long lived.  It shoud

only be used to create one or a few signing keys, which will be the keys/certs used to manage day-to-day signing operations, and will

have shorter (but still fairly long) lifetimes.  The Root key will thus be able to revoke any compromised signing keys, and generate

new signing keys as the existing ones expire.

History

#1 - 2012-03-26 17:04 - Matthew Jones

- Status changed from New to Closed

CAs for Root, Production, and Testing were created and checked into SVN at 

https://redmine.dataone.org/projects/d1/repository/show/software/tools/trunk/ca

Private keys fro all have been written to offline media and distributed to control points.  Contact Dave or Matt for certificate creation.

#2 - 2012-03-26 17:06 - Matthew Jones

- % Done changed from 0 to 100
